# Copyright 2020-2021 Huawei Technologies Co., Ltd
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ============================================================================
"""Predefined Attribution explainers."""

from .attribution.backprop.gradient import Gradient
from .attribution.backprop.gradcam import GradCAM
from .attribution.backprop.modified_relu import Deconvolution, GuidedBackprop
from .attribution.perturbation.occlusion import Occlusion
from .attribution.perturbation.rise import RISE
from .attribution.perturbation.riseplus import RISEPlus
from .ood.ood_net import OoDNet

__all__ = [
    'Gradient',
    'Deconvolution',
    'GuidedBackprop',
    'GradCAM',
    'Occlusion',
    'RISE',
    'RISEPlus',
    'OoDNet'
]
